
Google Sheets Import/Export - Bug #2532

Feature # 2527 (Closed): Store the service account key in secure storage

Feature # 2531 (Closed): Update REST Handler to set key into secure storage

Contents of file are wrong

12/02/2019 11:41 PM - Luke Murphey

Status: Closed Start date: 12/02/2019

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.0   

Description

History

#1 - 12/02/2019 11:45 PM - Luke Murphey

Questions:

Are the file contents in JS correct?

Observations:

The base64 code is indeed JSON converted to a string

get_forms_args_as_dict() sees the content as JSON-stringified

The data in the request is also a string converted incorrectly

Possible causes:

JS is base64 encoding:

encoding in the same way

parse_in_string()

convert_to_dict()

#2 - 12/03/2019 07:14 PM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
